﻿@page "/notifications"

@using FIOAPIWeb.Components.Notifications

@inject UserAppState UserAppState
@inject ISnackbar Snackbar

@implements IDisposable

<LoadingWrapper RequiresAuth="true">
    <MudText Typo="Typo.h5">Notifications</MudText>
    <MudTable Items="@UserAppState.PendingGroupInvites"
              Dense="true"
              Bordered="true"
              Breakpoint="Breakpoint.Sm">
        <HeaderContent>
            <MudTh>Group Id</MudTh>
            <MudTh>Group Name</MudTh>
            <MudTh>Admin Invite?</MudTh>
            <MudTh>Permissions</MudTh>
            <MudTh />
        </HeaderContent>      
        <RowTemplate>
            <MudTd>
                @context.GroupId
            </MudTd>
            <MudTd>
                @context.GroupName
            </MudTd>
            <MudTd>
                <MudCheckBox ReadOnly="true" Value="@context.Admin" />
            </MudTd>
            <MudTd>
                <PermissionCollapse Perms="@context.Permisssions" />
            </MudTd>
            <MudTd>
                <MudStack Row="true">
                    <AcceptRejectButtons GroupId="@context.GroupId" OnCompletion="@(async () => {await UserAppState.RefreshPendingGroupInvites(); await UserAppState.RefreshGroupMemberships();})" />
                </MudStack>
            </MudTd>
        </RowTemplate>
    </MudTable>

</LoadingWrapper>